The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete Alert

Prev Next

This URL is used to delete a single alert.

Resource URL

DELETE /alerts/<alert_uuid>?sensorId=<sensor_id>&manager=<manager_name>

Request Parameters

Query Parameters:

Field Name Description Data Type Mandatory
Alert_uuid Alert uuid Number Yes
sensorId Sensor id Number Yes
manager Name of the Manager. Required in case a multiple Managers are monitored with a single Manager. String No

Response Parameters

Following fields are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful, -1 otherwise Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/alerts/66692334234234

Response

 {
    "status":1
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 9803 Invalid alert id
2 404 9803 Sensor id is required
3 404 9803 Manager name is required